%define ttfontdir %{_datadir}/fonts/default/ttfonts

Name: ttfonts
Version: 1.0
Release: 11
Summary: Some TrueType fonts
# The fonts are taken from the OpenOffice CVS tree
Source0: oo-fonts-20010307.tar.bz2
Source1: getoofonts.sh
Source2: COPYING.GPL
License: GPL
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Prereq: freetype chkfontpath findutils

%description
The ttfonts package contains some TrueType fonts for use with XFree86
and ghostscript.

%prep
%setup -q -n oo
cp %{SOURCE2} .

%install
rm -rf %{buildroot}

install -m755 -d %{buildroot}/%ttfontdir
find . -name "*.ttf" -exec install -m644 {} %{buildroot}%{ttfontdir} \;

# These are created properly in the post section
touch %{buildroot}%{ttfontdir}/{fonts.{dir,scale},XftCache}

%post
cd %{ttfontdir}
/usr/bin/ttmkfdir >fonts.scale 2>/dev/null || :
/usr/X11R6/bin/mkfontdir 2>/dev/null || :
/usr/sbin/chkfontpath -q -a %{ttfontdir}

%postun
if [ "$1" = "0" ]; then
  if [ "x$(find %{ttfontdir} -name "*.ttf" 2>/dev/null)" != "x" ]; then
  # stuff left-over, reconfig
    cd %{ttfontdir}
    ttmkfdir >fonts.scale 2>/dev/null ||:
    mkfontdir             2>/dev/null ||:
    xftcache %{ttfontdir} 2>/dev/null ||:
  else
    # we're empty
    rm -f %{ttfontdir}/encodings.dir
    chkfontpath -q -r %{ttfontdir} ||:
  fi
fi

# trigger for xftcache in case XFree>=4.1.0 is installed after we are
%triggerin -- XFree86 >= 4.1.0
xftcache %{ttfontdir} ||:

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc installation/readlicense/source/license/unx/LICENSE COPYING.GPL
%dir %{ttfontdir}
%ghost %{ttfontdir}/fonts.dir
%ghost %{ttfontdir}/fonts.scale
%ghost %{ttfontdir}/XftCache
%{ttfontdir}/*.ttf

%changelog
* Tue Feb 26 2002 Than Ngo <than@redhat.com> 1.0-10
- rebuild

* Tue Feb 12 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0-9
- Fix postun script (#57749)

* Tue Jan 29 2002 Than Ngo <than@redhat.com> 1.0-8
- fix requires

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  9 2002 Than Ngo <than@redhat.com> 1.0-6
- own %{ttfontdir}/XftCache (bug #58129)

* Mon Jan  7 2002 Than Ngo <than@redhat.com> 1.0-5
- Fix %postun, %triggerin (bug #57749)

* Mon Apr 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0-4
- Fix %post script (#38227)

* Wed Mar  7 2001 Nalin Dahyabhai <nalin@redhat.com>
- add the license file
- include a script suitable for extracting needed files from CVS

* Sun Feb 11 2001 Tim Waugh <twaugh@redhat.com>
- Redirect ttmkfdir output to fonts.scale and use chkfontpath to
  add font directory to search path (bug #26757).

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
